org.eclipse.jdt.core.util

## Interface IRuntimeVisibleParameterAnnotationsAttribute

All Superinterfaces:
  IClassFileAttribute

    public interface IRuntimeVisibleParameterAnnotationsAttribute
    extends IClassFileAttribute

Description of a runtime visible parameter annotations attribute as described in the JVM specification (added in J2SE 1.5). This interface may be implemented by clients.

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`IParameterAnnotation[]` `getParameterAnnotations()` Answer back the parameter annotations.
`int` `getParametersNumber()` Answer back the number of parameters as described in the JVM specifications.

### Methods inherited from interface org.eclipse.jdt.core.util.IClassFileAttribute

`getAttributeLength, getAttributeName, getAttributeNameIndex`

### Method Detail

#### getParametersNumber

    int getParametersNumber()

Answer back the number of parameters as described in the JVM specifications.

Returns:
  the number of parameters

#### getParameterAnnotations

    IParameterAnnotation[] getParameterAnnotations()

Answer back the parameter annotations. Answers an empty collection if none.

Returns:
  the parameter annotations. Answers an empty collection if none.